Skip to main content
GET
/
chats
/
{chatId}
/
business
Get business profile for a chat
curl --request GET \
  --url https://wsapi.chat/chats/{chatId}/business \
  --header 'X-Api-Key: <api-key>' \
  --header 'X-Instance-Id: <x-instance-id>'
{
  "id": "<string>",
  "address": "<string>",
  "email": "<string>",
  "description": "<string>",
  "website": "<string>",
  "latitude": 123,
  "longitude": 123,
  "memberSince": "<string>",
  "categories": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "businessHours": [
    {
      "dayOfWeek": "<string>",
      "mode": "<string>",
      "openTime": "<string>",
      "closeTime": "<string>"
    }
  ],
  "businessHoursTimeZone": "<string>",
  "profileOptions": {}
}

Authorizations

X-Api-Key
string
header
required

Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.

Headers

X-Instance-Id
string
default:{{instanceId}}
required

The ID of the WhatsApp instance to use

Path Parameters

chatId
string
required

Chat JID (user or group)

Response

Business profile

id
string
address
string
email
string
description
string
website
string
latitude
number<double>
longitude
number<double>
memberSince
string
categories
object[]
businessHours
object[]
businessHoursTimeZone
string
profileOptions
object